﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace TouchCursorLive
{
    public partial class Page : UserControl
    {
        private bool _isClicked = false;

        public Page()
        {
            InitializeComponent();

            this.MouseLeftButtonDown += new MouseButtonEventHandler(Page_MouseLeftButtonDown);
            this.MouseMove += new MouseEventHandler(Page_MouseMove);
            this.MouseLeftButtonUp += new MouseButtonEventHandler(Page_MouseLeftButtonUp);
        }

        void Page_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            _isClicked = false;
        }

        void Page_MouseMove(object sender, MouseEventArgs e)
        {
            if (_isClicked == false)
                return;

            Point position = e.GetPosition(LayoutRoot);

            AddCursor(position);
        }

        void Page_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            _isClicked = true;

            Point position = e.GetPosition(LayoutRoot);

            AddCursor(position);
        }

        private void AddCursor(Point position)
        {
            TouchCursor cursor = new TouchCursor();
            cursor.Margin = new Thickness(position.X, position.Y, 0, 0);
            LayoutRoot.Children.Add(cursor);
        }
    }
}
